/**
 * ReSolEvo09
 *
 * Center for Environmental Systems Research, Kassel
 * Created by Sascha Holzhauer on 28.05.2010
 */
package de.cesr.resolevo;

import de.cesr.lara.components.LaraDecisionBuilder;
import de.cesr.lara.components.LaraModeSelector;
import de.cesr.lara.components.LaraSimpleAgent;
import de.cesr.resolevo.agents.ReSolEvoAgent;

/**
 * ReSolEvo09
 *
 * @author Sascha Holzhauer
 * @param <AgentT> 
 * @date 28.05.2010 
 *
 */
public class ReSolEvoGameModeSelector<AgentT extends ReSolEvoAgent> implements LaraModeSelector<AgentT> {

	@Override
	public void selectMode(AgentT agent, LaraDecisionBuilder dBuilder) {
		agent.getLaraComp().getDecisionData(dBuilder).setDeciderFactory(PlayDecisionTreeFactory.getFactory());
	}
}
