/**
 * ReSolEvo09
 *
 * Center for Environmental Systems Research, Kassel
 * Created by Sascha Holzhauer on 26.05.2010
 */
package de.cesr.resolevo.bos;

import java.util.Map;

import org.apache.log4j.Logger;

import de.cesr.lara.components.LaraGoal;
import de.cesr.lara.components.LaraSimpleAgent;
import de.cesr.lara.components.impl.Log4jLogger;
import de.cesr.resolevo.agents.ReSolEvoAgent;

/**
 * ReSolEvo09
 * 
 * This BO represents the case that the focal agent does not
 * interact with the partner agent (because it was refused, for instance.).
 *
 * @author Sascha Holzhauer
 * @date 26.05.2010 
 *
 */
public class AvoidSupportGame extends PlaySupportGame {
	
	/**
	 * Logger
	 */
	static private Logger logger = Log4jLogger.getLogger(AvoidSupportGame.class);

	/**
	 * @param key
	 * @param agent
	 * @param utilities
	 * @param partnerAgent
	 */
	public AvoidSupportGame(String key, ReSolEvoAgent agent, Map<Class<? extends LaraGoal>, Double> utilities,
			ReSolEvoAgent partnerAgent) {
		super(key, agent, utilities, partnerAgent, false);
		logger.info("Instance of AvoidSupportGame created");
	}
	
	/**
	 * @see de.cesr.lara.components.impl.AbstractBO#toString()
	 */
	@Override
	public String toString() {
		return "AvoidSupportGame";
	}

}
