/**
 * This file is part of
 * 
 * Replicating Solidarity Evolution (ReSolEvo) 0.9
 *
 * Copyright (C) 2010 Center for Environmental Systems Research, Kassel, Germany
 * 
 * ReSolEvo is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * ReSolEvo is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Created by Sascha Holzhauer on 07.01.2010
 */
package de.cesr.resolevo.bos;



import java.util.Map;

import de.cesr.lara.components.LaraBehaviouralOption;
import de.cesr.lara.components.LaraDecisionBuilder;
import de.cesr.lara.components.LaraGoal;
import de.cesr.resolevo.agents.ReSolEvoAgent;



/**
 * 
 * @author Sascha Holzhauer
 * @date 22.02.2010
 * 
 */
public abstract class SelectAgent extends LaraBehaviouralOption<ReSolEvoAgent> {

	private final ReSolEvoAgent	alter;
	private final boolean				fromME;

	/**
	 * @return the alter
	 */
	public ReSolEvoAgent getAlter() {
		return alter;
	}

	/**
	 * Return true if this memory entry originates from a memory exchange process.
	 * 
	 * @return true if this memory entry originates from a memory exchange process Created by Sascha Holzhauer on 03.05.2010
	 */
	public boolean isFromME() {
		return fromME;
	}

	/**
	 * @param key
	 * @param agent
	 * @param utilities
	 * @param alter
	 * @param fromME
	 */
	public SelectAgent(String key, ReSolEvoAgent agent, Map<Class<? extends LaraGoal>, Double> utilities,
			ReSolEvoAgent alter, boolean fromME) {
		super(key, agent, utilities);
		this.alter = alter;
		this.fromME = fromME;
	}

	/**
	 * @see de.cesr.lara.components.LaraBehaviouralOption#getComputedUtilities(de.cesr.lara.components.LaraDecisionBuilder)
	 */
	@Override
	public Map<Class<? extends LaraGoal>, Double> getComputedUtilities(LaraDecisionBuilder dBuilder) {
		return getValue();
	}
}
