/**
 * This file is part of
 * 
 * Replicating Solidarity Evolution (ReSolEvo) 0.9
 *
 * Copyright (C) 2010 Center for Environmental Systems Research, Kassel, Germany
 * 
 * ReSolEvo is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * ReSolEvo is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Created by Sascha Holzhauer on 07.01.2010
 */
package de.cesr.resolevo.util;

import org.apache.log4j.Level;
import org.apache.log4j.Priority;


/**
 * Custom Level AMoRe_Pujol2005
 * 
 * @author Sascha Holzhauer
 * @date 27.04.2010
 * 
 */
public class AgentLevel extends Level {

	public static final AgentLevel	AGENT	= new AgentLevel(Priority.DEBUG_INT - 10, "AGENT", 0);

	protected AgentLevel(int level, String levelStr, int syslogEquivalent) {
		super(level, levelStr, syslogEquivalent);
	}

	public static AgentLevel toLevel(int val, Level defaultLevel) {
		return AGENT;
	}

	public static AgentLevel toLevel(String sArg, Level defaultLevel) {
		return AGENT;
	}
}